Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Adaptations extends AnyRef

  A provider of the logic for assessing the validity of argument adaptations, such as tupling, unit-insertion, widening, etc.

  A provider of the logic for assessing the validity of argument adaptations, such as tupling, unit-insertion, widening, etc. Such logic is spread around the compiler, without much ability on the part of the user to tighten the potentially dangerous bits.

  Definition Classes
    typechecker
- Adaptation

t

scala.tools.nsc.typechecker.Adaptations

# Adaptation

###

#### trait Adaptation extends AnyRef

Self Type
  Analyzer.Typer
Source
  Adaptations.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
typer, ScaladocTyper, InteractiveTyper, Eraser, BodyDuplicator, ImplicitSearch, TreeChecker, Typer, BodyDuplicator
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Adaptation
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.Adaptation toany2stringadd[Analyzer.Adaptation] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.Adaptation, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.Adaptation toArrowAssoc[Analyzer.Adaptation] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def checkValidAdaptation(t: Global.Tree, args: List[Global.Tree]): Boolean
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (Analyzer.Adaptation) => Boolean, msg: => Any): Analyzer.Adaptation
   Implicit
     This member is added by an implicit conversion from Analyzer.Adaptation toEnsuring[Analyzer.Adaptation] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Analyzer.Adaptation) => Boolean): Analyzer.Adaptation
    Implicit
      This member is added by an implicit conversion from Analyzer.Adaptation toEnsuring[Analyzer.Adaptation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Analyzer.Adaptation
    Implicit
      This member is added by an implicit conversion from Analyzer.Adaptation toEnsuring[Analyzer.Adaptation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Analyzer.Adaptation
    Implicit
      This member is added by an implicit conversion from Analyzer.Adaptation toEnsuring[Analyzer.Adaptation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.Adaptation toStringFormat[Analyzer.Adaptation] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Analyzer.Adaptation, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.Adaptation toArrowAssoc[Analyzer.Adaptation] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromAnalyzer.Adaptation to any2stringadd[Analyzer.Adaptation]

### Inherited by implicit conversion StringFormat fromAnalyzer.Adaptation to StringFormat[Analyzer.Adaptation]

### Inherited by implicit conversion Ensuring fromAnalyzer.Adaptation to Ensuring[Analyzer.Adaptation]

### Inherited by implicit conversion ArrowAssoc fromAnalyzer.Adaptation to ArrowAssoc[Analyzer.Adaptation]

### Ungrouped